Module java.base
Package java.lang

# Class TypeNotPresentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.TypeNotPresentException

All Implemented Interfaces:
  `Serializable`

public class TypeNotPresentException extends RuntimeException
Thrown when an application tries to access a type using a string representing the type's name, but no definition for the type with the specified name can be found. This exception differs from `ClassNotFoundException` in that `ClassNotFoundException` is a checked exception, whereas this exception is unchecked.

Note that this exception may be used when undefined type variables are accessed as well as when types (e.g., classes, interfaces or annotation types) are loaded. In particular, this exception can be thrown by the API used to read annotations reflectively.

Since:
  1.5
See Also:
  - `AnnotatedElement`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeNotPresentException(String typeName, Throwable cause)`
  Constructs a `TypeNotPresentException` for the named type with the specified cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `typeName()`
  Returns the fully qualified name of the unavailable type.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TypeNotPresentException

    public TypeNotPresentException(String typeName, Throwable cause)
    Constructs a `TypeNotPresentException` for the named type with the specified cause.
    Parameters:
      `typeName` - the fully qualified name of the unavailable type
      `cause` - the exception that was thrown when the system attempted to load the named type, or `null` if unavailable or inapplicable

- ## Method Details

  - ### typeName

    public String typeName()
    Returns the fully qualified name of the unavailable type.
    Returns:
      the fully qualified name of the unavailable type